<template>
	<div class="flex">
		<config-menu class="flex-initial w-1/4"></config-menu>
		<keep-alive>
			<component :is="currentTab.component" class="flex-1 animate__animated animate__fadeInUp"></component>
		</keep-alive>
	</div>
</template>

<script>
import ConfigMenu from "../components/config/ConfigMenu";
import {mapGetters} from "vuex";
import Admin from "../components/config/Admin";
import Database from "../components/config/Database";
import Engine from "../components/config/Engine";

export default {
	name: "ConfigurationStep",
	computed: {
		...mapGetters('config', [
			'currentTab',
		])
	},
	components: {
		ConfigMenu,
		Database,
		Admin,
		Engine
	}
}
</script>

<style scoped>

</style>